Subject: 24.0.93; BCC in Gnus isn't working
From: "Stephen Berman" <[email-masked]>
To: [email-masked]
Date: 7 Feb 2012 12:13:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

1. emacs -Q with no ~/News directory.
2. I typed ` M-x gnus RET', then `y' at prompt "Continue?"  after
getting error 'news/nntp Name or service not known)' to proceed to empty
Gnus group buffer. 
3. Then I typed `C-x m' to open a buffer in Message mode, put a valid
email address in the To: header line, type `C-c C-f C-b' to add a Bcc:
header line and put a different valid email address in it, and completed
the email (subject, text).
4. Then I typed `C-c C-c' to send the email, using smtp with an existing
~/.authinfo. 

=> My mailbox received two copies of the email, both sent to the address
in the To: header line.  In both there is no Bcc: header line, and there
was no email sent to the address in the Bcc: header line.  I've tried
this three times, same result. Of course, this used work.

In GNU Emacs 24.0.93.1 (i686-suse-linux-gnu, GTK+ Version 2.24.7)
 of 2012-02-07 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
Configured using:
 `configure '--without-toolkit-scroll-bars' 'CFLAGS=-g''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t